/**
 * create by robot 
 * date Thu Sep 12 16:16:37 CST 2019 
 */ 

$(document).ready(function(){
	//form表单样式
	layui.use(['layer', 'form'], function() {
		var layer = layui.layer,
			form = layui.form;
		form.render();
	});
	//li 切换事件
	$(".nav-tabs>li").click(function() {
		var index = $(".nav-tabs>li").index(this);
		$(this).addClass("active").siblings("li").removeClass("active");
		
	})
	//弹出一个提示层
	$('.fa-save').on('click', function() {
		saveQuestionsAnswers();
	});

	//绑定标签栏事件
	$(document).on('click','.nav-tabs li',function(){

		var action =$(this).data('action');
		 switch (action) {
			case "base"://基本资料
				goBase();
				break;  
			case "functions"://多功能
				goFunctions();
				break;
			case "extends"://扩展    
				goExtends();         
				break;           
		 }
	})

	//加载第一个标签
	$('.nav-tabs li').eq(0).click();
	
});


//跳转基本信息 
function goBase(){
	var url=ctx+'/questionsAnswers/queryQuestionsAnswersBaseInfo?id='+$('#questionsAnswersId').val();
	$('.tab-content').load(url);
	              
}
//跳转多功能输入
function goFunctions(){ 
	var url=ctx+'/questionsAnswers/queryQuestionsAnswersFunctionsInfo?id='+$('#questionsAnswersId').val();
	$('.tab-content').load(url);  
	
}
//跳转到扩展   
function goExtends(){
	
	var url=ctx+'/questionsAnswers/queryQuestionsAnswersExtendsInfo?id='+$('#questionsAnswersId').val();
	$('.tab-content').load(url);          
}  
  

 
//保存
function saveQuestionsAnswers(){
	var question=$("#question").val();
//	var answer=UM.getEditor('answer').getContent().trim();
	var answer=$("#answer").val();
	var seq=$("#seq").val();
	var status=$("#status option:selected").val();
	if(StringUtil.isBlank(question)){
		layer.msg('请输入问题');
		return;
	}
	if(StringUtil.isBlank(answer)){
		layer.msg('请输入回答');
		return;
	}
	
	if(StringUtil.isNotJustInteger(seq)){
		if(StringUtil.isBlank(seq)){
			layer.msg('请输入排序');
			return;
		}
		layer.msg('请输入正确的排序格式(正整数)');
		return;
	}
	
	if(StringUtil.isBlank(status)){
		layer.msg('请选择状态');
		return;
	}
	$(".fa-save").attr("disabled","disabled");
	$('.fa-save').html('正在保存...')
	$.ajax({
		url:ctx+"/questionsAnswers/saveQuestionsAnswers",
		type:"POST",
		dataType:'json',
		data:$("#data_form").serializeArray(),
		complete:function(){
			$(".fa-save").removeAttr("disabled");
			$('.fa-save').html('保存')
		},        
		success:function(service){ 
		
			layer.confirm('保存成功,是否前往列表？', {
				  btn: ['确认','取消'] //按钮
				}, function(){
					$('#goback span').trigger('click'); 
				}, function(){         
					layer.closeAll();
			});  
			
		}
	});  
}
 

